<html>
  <head>
    <title>
      Calling base class methods
    </title>
  </head>

  <body>
    <h1>Calling base class methods</h1>
    <?php
      class Person 
      {
        var $name;  

        protected function set_name($data) 
        {
            $this->name = $data;
        }

        protected function get_name() 
        {
            return $this->name;
        }
      }

      class Friend extends Person
      {
        var $message;  

        function set_message($msg)
        {
          $this->message = $msg;
        }

        function speak()
        {
          echo $this->message;
        }

        function set_name_public($data) 
        {
            parent::set_name($data);
        }

        function get_name_public() 
        {
            return parent::get_name();
        }
      }

      $britta = new Friend;
      $britta->set_name_public("Britta");
      $britta->set_message("Hello from Britta.");

      echo "The name of your friend is ", $britta->get_name_public(), ".<br>";    
      echo $britta->get_name_public(), " says \"", $britta->speak(), "\"<br>";    
    ?> 
  </body>
</html>
