<html>
  <head>
    <title>
      Overloading methods
    </title>
  </head>

  <body>
    <h1>
       Overloading methods
    </h1>
    <?php
      class Friend 
      {
        var $name;  
        var $message;  
            
        function speak() 
        {
          echo $this->name, " says \"", $this->message, "\"<br>";
        }

        function set_message($msg) 
        {
          $this->message = $msg;
        }

        function __call($method, $arguments) 
        { 
          if($method == "set_name"){
            if(count($arguments) == 1){
              $this->name = $arguments[0];
            }
            if(count($arguments) == 2){
              $this->name = $arguments[0];
              $this->message = $arguments[1];
            }
          }
        } 
      }
            
      echo "Creating your new friend...<br>";    
      $friend = new Friend;
      $friend->set_name("Susan");
      $friend->set_message("Hello from Susan");
      $friend->speak();

      $friend->set_name("Ted", "Ted here");
      $friend->speak();
      ?>  
  </body>
</html>