<html>
  <head>
    <title>
      Cloning objects
    </title>
  </head>

  <body>
    <h1>
       Cloning objects
    </h1>
    <?php
      class BigClass
      {
        public $little_1;
        public $little_2;

        public function __construct() 
        {
           $this->little_1 = new LittleClass();
           $this->little_2 = new LittleClass();
         }

         function __clone()
         {
           $this->little_1 = clone $this->little_1;
         }
       }

      class LittleClass
      {
        static $counter = 0;
        public $number;

        public function __construct() 
        {
            $this->number = ++self::$counter;
        }

        public function __clone() {
          $this->number = ++self::$counter;
        }
      }


      $object_1 = new BigClass();
      $object_2 = clone $object_1;

      echo "\$object_1: <br>";
      print_r($object_1);

      echo "<br><br>";
      echo "\$object_2: <br>";
      print_r($object_2);

    ?>
  </body>
</html>