<html>
  <head>
    <title>
      Reflection
    </title>
  </head>

  <body>
    <h1>
       Reflection
    </h1>
    <?php
      function tracker() 
      {
        static $counter = 10;
        $counter++;
        return $counter;
      }

      $method = new ReflectionFunction('tracker');

      echo  "The method named  ", $method->getName();
      echo " is ", $method->isInternal() ? "PHP-defined <br>." : "user-defined. <br>";
      echo "It's in ", $method->getFileName(), "<br>";
      echo "It starts at line ", $method->getStartLine();
      echo " and ends at line ",  $method->getEndline(), "<br>";

      if ($method->getStaticVariables()){
        $statics = $method->getStaticVariables();
        echo "It has this static variable: ", var_export($statics, 1), "<br>";
      }

      echo "Invoking the method results in ", var_dump($method->invoke()), "<br>";
    ?>
  </body>
</html>