<?php
  $xml = simplexml_load_file("event.xml");

  echo "<h1>Adding elements in an XML document</h1>";

  echo "Here are the people who attended the event: <br>";

  $event = $xml->event;

  $people = $event->people;

  $person = $people->addChild('person');

  $person->addChild('first_name', 'Myrna');
  $person->addChild('last_name', 'Loy');
  
  $person->AddAttribute('attendance', 'present');

  echo "<ul>";

  foreach ($people->person as $person){
    echo "<li>", $person->first_name, '&nbsp', $person->last_name, " was ", 
      $person['attendance'], "</li>";
  }

  echo "</ul>";
?>
